# Class MatchMapper

java.lang.Object
uk.ac.starlink.ttools.join.MatchMapper

All Implemented Interfaces:
  `TableMapper`

public class MatchMapper extends Object implements TableMapper
TableMapper which implements multi-table crossmatches.

Since:
  20 Nov 2007
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GROUP_MODE`
MultiMode parameter value for group matching.
`static final String`
`PAIRS_MODE`
MultiMode parameter value for pairs matching.

## Constructor Summary

Constructors
Constructor
Description
`MatchMapper()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TableMapping`
`createMapping(uk.ac.starlink.task.Environment env, int nin)`
Creates a new mapping object, using a given execution environment for any additional required state.
`static uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.MultiJoinType>`
`createMultiJoinTypeParameter(String suffix)`
Returns the parameter used to acquire join type for an input table identified by a given suffix.
`uk.ac.starlink.task.Parameter<String>`
`getMultiModeParameter()`
Returns the parameter used to acquire multi-table match type.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters defined by this mapper.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PAIRS_MODE

public static final String PAIRS_MODE
MultiMode parameter value for pairs matching.

See Also:
  - Constant Field Values

### GROUP_MODE

public static final String GROUP_MODE
MultiMode parameter value for group matching.

See Also:
  - Constant Field Values

## Constructor Details

### MatchMapper

public MatchMapper()
Constructor.

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from interface: `TableMapper`
Returns the parameters defined by this mapper.

Specified by:
  `getParameters` in interface `TableMapper`
Returns:
  parameter array

### createMapping

public TableMapping createMapping(uk.ac.starlink.task.Environment env, int nin) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TableMapper`
Creates a new mapping object, using a given execution environment for any additional required state.

Specified by:
  `createMapping` in interface `TableMapper`
Parameters:
  `env` - execution environment
  `nin` - number of input tables that the mapping will operate on if known; -1 if not
Throws:
  `uk.ac.starlink.task.TaskException`

### getMultiModeParameter

public uk.ac.starlink.task.Parameter<String> getMultiModeParameter()
Returns the parameter used to acquire multi-table match type.

Returns:
  multimode parameter

### createMultiJoinTypeParameter

public static uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.MultiJoinType> createMultiJoinTypeParameter(String suffix)
Returns the parameter used to acquire join type for an input table identified by a given suffix.

Parameters:
  `suffix` - input table suffix
Returns:
  join type parameter for one table